<template>
    <div class="control-userBigTable wow fadeInUp">
        <p class="text-bold">{{ $t('users.deposits.title') }}</p>
        <div class="text-head">
            <div class="text-head--left">
                <p class="text-id">{{ $t('users.deposits.id') }}</p>
                <p class="text-id">{{ $t('users.deposits.date') }}</p>
                <p class="text-id">{{ $t('users.deposits.amount') }}</p>
            </div>
            <div class="text-head--right">
                <p class="text-id">{{ $t('users.deposits.plan') }}</p>
            </div>
        </div>
        <div class="body--element" v-for="deposit in deposits">
            <div class="body__element--left">
                <p class="text-idBold">#{{ deposit.id }}</p>
                <p class="text-id">{{ formatDate(deposit.created_at) }}</p>
                <p class="text-idBlue">{{ formatAmount(deposit.amount, deposit.currency) }}</p>
            </div>
            <div class="body__element--right">
                <p class="text-id">Тариф #{{ deposit.plan.id }}    {{ deposit.plan.name }}</p>
            </div>
        </div>
        <paginator
            :current-page="currentPage"
            :last-page="lastPage"
            :per-page="perPage"
            :items-count="total"
            @page-changed="setPage"
        />
    </div>
</template>

<script>
	import {mapGetters} from "vuex";
    import currencies from "../../currencies";

    export default {
		name: "ShortDeposits",
        props: ['user'],
        data(){
            return {
                currentPage: 0,
                lastPage: 0,
                perPage: 0,
                total: 0,
                page: 1,
                deposits: [],
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ])
        },
        methods: {
            submit(){
                this.axios.get(`users/${this.user.id}/short_deposits`, {
                    params: {
                        page: this.page,
                    }
                })
                    .then(resp => resp.data)
                    .then(deposits => {
                        console.log(deposits);
                        this.currentPage = deposits.current_page;
                        this.lastPage = deposits.last_page;
                        this.perPage = deposits.per_page;
                        this.total = deposits.total;
                        this.deposits = deposits.data;
                    });
            },
            setPage(page){
                this.page = page;
                this.submit();
            },
            formatDate(date){
                return this.$date(date).format('DD.MM.YYYY HH:mm:ss');
            },
            formatAmount(amount, currency){
                return currencies.formatWithDefault(amount, currency);
            },
        },
        mounted(){
            this.submit();
            this.$root.$on('reload-deposits', () => {
                this.setPage(1);
            })
        },
	}
</script>

<style scoped>
    .control-userBigTable .body--element .body__element--left{
        flex-basis: 45%;
    }
	@media(max-width: 616px) {
		.control-userBigTable .body--element .body__element--left{
			flex-basis: 100%;
		}
	}
</style>
